List Order Taxes

Gets all order taxes using order_id. Each tax applied to an order. This information can be useful for reporting purposes. Pass in the query parameter ?details=true to return extra details about order taxes. order_product_id and line_item_type are also returned.

All values are read-only.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.
detailsstringOptionalDefaults to false
To return detailed tax information, pass in the details query.

Response

idintegerOptional
The unique numeric identifier of the taxes object.
order_idintegerOptional

The unique numeric identifier of the order to which the tax was applied. NOTE: Not included if the store was using the automatic tax feature.

order_address_idintegerOptional

The unique numeric identifier of the order address object associated with the order. NOTE: Not included if the store was using the automatic tax feature.

sales_tax_idstringOptional

A unique identifier for the applied tax rate. This may be a third-party tax provider’s identifier.

tax_class_idinteger or nullOptional
A unique numeric identifier for the tax class. If not provided or null, the default fee tax class from the control panel is used.
namestringOptional
The name of the tax class object.
classstringOptional

The name of the type of tax that was applied. NOTE: It will be “Automatic Tax” if automatic tax was enabled. It will be “API Tax Override” if the order was created with V2 Orders API.

ratestringOptional

The tax rate. The priority order in which the tax is applied (Float, Float-As-String, Integer)

prioritydoubleOptional
The order in which the tax is applied.
priority_amountstringOptional

The amount of tax calculated on the order. (Float, Float-As-String, Integer)

line_amountstringOptional

(Float, Float-As-String, Integer)

order_pickup_method_iddoubleOptional

The ID of the order pickup method object (which contains pickup location details) associated with the order.

order_product_idstringOptional

If the line_item_type is item or handling then this field will be the order product id. Otherwise the field will return as null.

line_item_typeenumOptional
Type of tax on item.
tax_rate_idintegerOptionalDeprecated

The unique numeric identifier of the tax rate. This field has been deprecated, use sales_tax_id instead.